
import { Tag, Tooltip } from 'ant-design-vue';
import { BasicColumn, FormSchema } from '/@/components/Table';
import { h } from 'vue';
//界面列表显示
export const columns: BasicColumn[] = [
  {
    title: '创建时间',
    dataIndex: 'CREATE_TIME',
    width: 180,
  },
  {
    title: '操作类型',
    dataIndex: 'Operation',
    width: 180,
  },
  {
    title: '操作人',
    dataIndex: 'Operator',
    width: 180,
  },
  {
    title: '开始时间',
    dataIndex: 'StartTime',
    width: 180,
  },
  {
    title: '执行结果',
    dataIndex: 'Result',
    width: 180,
  },
  {
    title: '下次运行时间',
    dataIndex: 'NextRunTime',
    width: 180,
  },
  {
    title: '状态',
    dataIndex: 'Status',
    width: 180,
    customRender: ({ record }) => {
      let color = '';let text = '';
      switch (record.Status) {
        case 2:
          text = '正在运行';
          color = 'green';
          break;
        case 1:
          text = '就绪';
          color = '#bfbfbf';
          break;
        case 13:
          text = '停止';
          color = 'red';
          break;
        default:break;
      }
      return h(Tooltip, { title: text }, () => h(Tag, { color: color }, () => text));
    },
  },
  {
    title: '备注',
    dataIndex: 'Remark',
    width: 180,
  },
  // {
  //   title: '工厂名称',
  //   dataIndex: 'FACTORY_NAME',
  //   width: 180,
  // },
  // {
  //   title: '状态',
  //   dataIndex: 'ACTIVESTATUS',
  //   customRender: ({ record }) => {
  //     const status = record.ACTIVESTATUS;
  //     const enable = status === 'Y';
  //     const color = enable ? 'green' : 'red';
  //     const text = enable ? '启用' : '停用';
  //     return h(Tag, { color: color }, () => text);
  //   },
  // },
  {
    title: '描述',
    dataIndex: 'Remark',
    width: 180,
  },
];

// export const searchFormSchema: FormSchema[] = [
//   {
//     field: 'JobId',
//     label: '任务日志ID',
//     component: 'Input',
//     colProps: { span: 8 },
//   }
// ];

// export const formSchema: FormSchema[] = [
//   {
//     field: 'FACTORY_NAME',
//     label: '工厂名称',
//     required: true,
//     component: 'Input',
//   },
//   {
//     field: 'FACTORY_CODE',
//     label: '工厂代码',
//     required: true,
//     component: 'Input',
//   },
//   {
//     field: 'DESCRIPTION',
//     label: '工厂描述',
//     required: true,
//     component: 'Input',
//   },
//   {
//     field: 'ACTIVESTATUS',
//     label: '状态',
//     required: true,
//     component: 'Select',
//     componentProps: {
//       options: [
//         {
//           label: '启用',
//           value: 'Y',
//           key: 'Y',
//         },
//         {
//           label: '停用',
//           value: 'N',
//           key: 'N',
//         },
//       ],
//     },
//   },
//   {
//     field: 'ID',
//     label: '工厂ID',
//     component: 'Input',
//     show: false,
//   },
// ];
